_SETTINGS:SetPlayerMenuOff()

local pedroStennis=RESCUEHELO:New("USS Stennis", "Pedro Stennis")
pedroStennis:SetHomeBase(AIRBASE:FindByName("USS Lake Erie"))
pedroStennis:SetModex(42)
pedroStennis:__Start(1)
  
local airbossStennis=AIRBOSS:New("USS Stennis")
airbossStennis:SetSoundfilesFolder("Airboss Soundfiles/")
airbossStennis:SetDespawnOnEngineShutdown()
airbossStennis:SetMaxFlightsPerStack(1)
airbossStennis:SetMaxMarshalStacks(20)
airbossStennis:SetMaxSectionSize(4)
airbossStennis:SetLSORadio(340.200)
airbossStennis:SetMarshalRadio(327.200)
airbossStennis:SetICLS(14)
airbossStennis:SetTACAN(74,"X","STN")
airbossStennis:SetHandleAIOFF()
airbossStennis:SetDefaultPlayerSkill(AIRBOSS.Difficulty.EASY)
airbossStennis:SetAirbossNiceGuy(true)
airbossStennis:SetEmergencyLandings(true)
airbossStennis:SetPatrolAdInfinitum(true)
airbossStennis:SetCarrierControlledArea(50)
airbossStennis:SetMenuRecovery(30, 25, true, 0)
airbossStennis:SetRadioRelayLSO("Relay Stennis")
airbossStennis:SetHoldingOffsetAngle(0)
airbossStennis:Start()

function pedroStennis:OnAfterStart(From,Event,To)
  airbossStennis:SetRadioRelayMarshal(self:GetUnitName())
end

-- --- Function called when a player gets graded by the LSO.
-- function AirbossStennis:OnAfterLSOGrade(From, Event, To, playerData, grade)
--   local PlayerData=playerData --Ops.Airboss#AIRBOSS.PlayerData
--   local Grade=grade --Ops.Airboss#AIRBOSS.LSOgrade

--   ----------------------------------------
--   --- Interface your Discord bot here! ---
--   ----------------------------------------
  
--   local score=tonumber(Grade.points)
--   local name=tostring(PlayerData.name)
  
--   -- Report LSO grade to dcs.log file.
--   env.info(string.format("Player %s scored %.1f", name, score))
-- end
